import React, { Component , Suspense } from 'react';
import ReactDOM from 'react-dom';
import './App.css';
import { Menu, Button } from 'antd';
import { SettingOutlined, DollarCircleOutlined,  } from '@ant-design/icons';
import * as Icons from "@ant-design/icons";
import {
  MenuUnfoldOutlined,
  MenuFoldOutlined,
  PieChartOutlined,
} from '@ant-design/icons';
// import { $Axios } from '&/common/publish';

export default class App extends React.Component {
  constructor(props) {
    super(props)
    this.state = {
      isLogin: true,
      current: 'one',
      arr1 : [
        { txt : '商户入网' , icon : 'GlobalOutlined' , assembly:'Layout' },
        { txt : '商户入网列表' , icon : 'SlidersOutlined', assembly:'center-tab'}
      ],
      arr2 : [
        { txt : '订单查询' , icon : '', assembly:'Finance-orderQuery'},
        { txt : '退款查询' , icon : '', assembly:'x1'},
        { txt : '账户概览' , icon : '', assembly:'x2'},
        { txt : '发起提现' , icon : '', assembly:'Fi'},
        { txt : '提现记录' , icon : '', assembly:'x4'},
        { txt : '分账收益记录' , icon : '', assembly:'x5'},
      ],
      assembly : 'Layout',
      defaultSelectedKeys : 'Layout',
      defaultSelectedKeys1 : 'Finance-orderQuery',
      assembly_cw :  'Finance-orderQuery'
    }
  }


  componentDidMount() {
    
  }

  handleClick(e){
    console.log( this.state);
    this.setState({	
      current : e.key,
    });
    this.initassembly()
  }

  toggleCollapsed(e){
    this.setState({
      collapsed: !this.state.collapsed,
    });
  }

  toggleNavs(e){
    let current = this.state.current;
    if(current == 'one'){
      this.setState({
        assembly: e.key,
      });
    }else{
      this.setState({
        assembly_cw : e.key
      });
    }
  
  }
  initassembly(){
    let current = this.state.current;
    let Assembly = null;
    if(current == 'one'){
      Assembly = React.lazy(() => import(`./component/${this.state.assembly}/${this.state.assembly}.jsx`));
    }else{
      Assembly = React.lazy(() => import(`./component/${this.state.assembly_cw}/${this.state.assembly_cw}.jsx`));
    }
    
    return <Suspense  fallback="" key="dialog"><Assembly refModal={this.state.current} /></Suspense>
  }
  initIcon(item){
    let Icon = item.icon;
    return React.createElement(Icons[Icon])
  }

  // autoLogin = () => {
  //     let param = {
  //         "account": account,
  //         "password": password,
  //         "system_code": "COMBINE",
  //         "login_ip": login_ip,
  //         "token": ""
  //     }
  //     $Axios('post','http://user_api.airqualitychina.cn:7070/auth/ipLogin',param,(res) => {
  //         console.log(res)
  //         let userData = res.data.data.result
  //         let token = res.data.data.token
  //         localStorage.setItem('token',token)
  //         localStorage.setItem('project_id',userData.project_id)
  //         localStorage.setItem('userData',JSON.stringify(userData))
  //         me.setState({isLogin:true})
  //     })
  // }

  render() {
    const { current, arr1, arr2 ,keys } = this.state;
    const { SubMenu } = Menu;
    return (
      <React.Fragment>
        {/* {this.state.isLogin ? <Layout></Layout>} */}
        <div className='wrap'>
          <div className='header_nav'>
            <div className='header_title'>商户入网信息管理平台</div>
            <div className='header_menu'>
              <div className='head-sj'>
                <Button type="primary" onClick={this.toggleCollapsed.bind(this)} style={{ marginBottom: 16 }} style={{height:'100%'}}>
                {React.createElement(this.state.collapsed ? MenuUnfoldOutlined : MenuFoldOutlined)}
              </Button>
              </div>
              <Menu onClick={this.handleClick.bind(this)}  selectedKeys={[current]} mode="horizontal" className='header_navs'>
                <Menu.Item key="one" icon={<SettingOutlined />}>
                  高级设置
                </Menu.Item>
                <Menu.Item key="tow" icon={<DollarCircleOutlined />}>
                  财务管理
                </Menu.Item>
              </Menu>
            </div>
          </div>
          <div className='main_centers'>
            {current === 'one' && <Menu
                className='main_left_nav'
                defaultSelectedKeys={[this.state.assembly]}
                mode="inline"
                theme="dark"
                inlineCollapsed={this.state.collapsed}
                onClick={this.toggleNavs.bind(this)}
              >
                {current === 'one' && (arr1.map((item,index) =>(
                  <Menu.Item key={item.assembly} data={item.txt} icon={this.initIcon(item)}>
                    {item.txt}
                  </Menu.Item>
                )))}
              </Menu>}
              {current === 'tow' && <Menu
                className='main_left_nav'
                defaultSelectedKeys={[this.state.assembly_cw]}
                mode="inline"
                theme="dark"
                inlineCollapsed={this.state.collapsed}
                onClick={this.toggleNavs.bind(this)}
              >
                {current === 'tow' && (arr2.map((item,index) =>(
                  <Menu.Item key={item.assembly} data={item.txt} icon={<DollarCircleOutlined />}>
                    {item.txt}
                  </Menu.Item>
                )))}
              </Menu>}
              
              <div className='main_right_center'>
                {
                    this.initassembly()
                }
              </div>
          </div>
        </div>
      </React.Fragment>
    )
  }
}
ReactDOM.render(
  <App></App>,
  document.getElementById('root')
);